<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html">

<h:head>
  <title>
    <ui:insert name="title">Default title</ui:insert>
  </title>
</h:head>
<h:body>
  <h:link value="Create a book" outcome="newBook.xhtml"/>

  <h1>
    <ui:insert name="title">Default title</ui:insert>
  </h1>
  <hr/>

  <h:messages id="errors" infoStyle="color:blue" warnStyle="color:orange" errorStyle="color:red"/>

  <ui:insert name="content">Default content</ui:insert>

  <hr/>
  <h:outputText value="APress - Beginning Java EE 7" style="font-style: italic"/>
</h:body>
</html>

